summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-mobilephone/heimdall/heimdall-9999.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-mobilephone/heimdall/heimdall-9999.ebuild')
-rw-r--r--app-mobilephone/heimdall/heimdall-9999.ebuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/app-mobilephone/heimdall/heimdall-9999.ebuild b/app-mobilephone/heimdall/heimdall-9999.ebuild
new file mode 100644
index 00000000000..74f397125c3
--- /dev/null
+++ b/app-mobilephone/heimdall/heimdall-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_IN_SOURCE_BUILD="true"
+
+inherit autotools eutils cmake-utils udev
+
+if [[ ${PV} != 9999 ]]; then
+ SRC_URI="https://github.com/Benjamin-Dobell/Heimdall/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/Heimdall-${PV}"
+else
+ inherit git-2
+ EGIT_REPO_URI="git://github.com/Benjamin-Dobell/Heimdall.git
+ https://github.com/Benjamin-Dobell/Heimdall.git"
+fi
+
+DESCRIPTION="Tool suite used to flash firmware onto Samsung Galaxy S devices"
+HOMEPAGE="http://www.glassechidna.com.au/products/heimdall/"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="qt5 static-libs"
+
+# virtual/libusb is not precise enough
+RDEPEND=">=dev-libs/libusb-1.0.18:1=[static-libs=]
+ qt5? ( dev-qt/qtwidgets:5= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ if ! use qt5 ; then
+ sed '/heimdall-frontend/d' \
+ -i CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ cmake-utils_src_configure \
+ $(cmake-utils_use_use static-libs STATIC_LIBS)
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ # cmake-utils_src_install doesn't work
+ dobin "${S}"/bin/${PN}
+ use qt5 && dobin "${S}"/bin/${PN}-frontend
+
+ insinto $(get_udevdir)/rules.d
+ doins "${S}"/${PN}/60-${PN}.rules
+ dodoc Linux/README
+}